#if ! defined (ChunkHeader_HEADER_INCLUDED)
#define ChunkHeader_HEADER_INCLUDED



#include	"archi.h"

#include	<iosfwd>



struct ChunkHeader
{
	char			_id [4];
	Int32			_size;

	static long	get_len ();

	int			read (std::istream &is);
	int			write (std::ostream &os) const;
	int			skip (std::istream &is) const;
	int			skip (std::ostream &os) const;

	bool			cmp (const char *id_0) const;
	void			set (const char id_0 [4+1]);

private:
	mutable std::streampos	_pos;
};



#endif