#include	"archi.h"
#include	"FmtHeader.h"

#include	<iostream>



long	FmtHeader::get_len ()
{
	return (16);
}



int	FmtHeader::read (std::istream &is)
{
	int		res = 0;

	res |= read_le (is, _format_tag);
	res |= read_le (is, _channels);
	res |= read_le (is, _samples_per_sec);
	res |= read_le (is, _avg_bytes_per_sec);
	res |= read_le (is, _block_align);
	res |= read_le (is, _bits_per_sample);

	if (res != 0)
	{
		return (-1);
	}

	return (0);
}



int	FmtHeader::write (std::ostream &os) const
{
	int		res = 0;

	res |= write_le (os, _format_tag);
	res |= write_le (os, _channels);
	res |= write_le (os, _samples_per_sec);
	res |= write_le (os, _avg_bytes_per_sec);
	res |= write_le (os, _block_align);
	res |= write_le (os, _bits_per_sample);

	if (res != 0)
	{
		return (-1);
	}

	return (0);
}
