#include	"RiffHeader.h"

#include	<iostream>



long	RiffHeader::get_len ()
{
	return (4);
}



int	RiffHeader::read (std::istream &is)
{
	int		res = 0;

	res |= int (is.read (_id, sizeof (_id)).fail ());

	if (res != 0)
	{
		return (-1);
	}

	return (0);
}



int	RiffHeader::write (std::ostream &os) const
{
	int		res = 0;

	res |= int (os.write (_id, sizeof (_id)).fail ());

	if (res != 0)
	{
		return (-1);
	}

	return (0);
}



void	RiffHeader::set (const char id_0 [4+1])
{
	for (int i = 0; i < 4; ++i)
	{
		_id [i] = id_0 [i];
	}
}



bool	RiffHeader::is_wave () const
{
	if (   _id [0] == 'W'
	    && _id [1] == 'A'
	    && _id [2] == 'V'
	    && _id [3] == 'E')
	{
		return (true);
	}

	return (false);
}