#if ! defined (WavRegion_HEADER_INCLUDED)
#define WavRegion_HEADER_INCLUDED



#include	"FmtHeader.h"

#include	<iosfwd>
#include	<string>



class	WavRegion
{
public:
						WavRegion (const std::string &	source_filename,
						           const std::streampos	source_data_pos,
						           const FmtHeader &		fmt);
	void				set_start (long beg);
	void				set_end (long end);
	void				set_number (int number);
	void				set_amp (int amp);
	int				save (std::istream &source_file, bool mono_flag) const;

private:
	std::string		_source_filename;
	std::streampos	_source_data_pos;
	FmtHeader		_fmt;
	long				_beg;
	long				_end;
	int				_number;
	int				_amp;
};



#endif